Bug 447230 - cdrom fails to automount
cdrom fails to automount
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
9
All Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-18 19:09 EDT by chris desjardins
Modified: 2009-07-14 11:47 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 11:47:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description chris desjardins 2008-05-18 19:09:34 EDT
Description of problem:
When I insert a cdrom, nothing happens.  I receive no indication from KDE that a
new device is found.  I get the following error several times from dmesg:

printk: 22 messages suppressed.
Buffer I/O error on device sr0, logical block 88
sr 1:0:0:0: [sr0] unaligned transfer
Buffer I/O error on device sr0, logical block 89
sr 1:0:0:0: [sr0] unaligned transfer
Buffer I/O error on device sr0, logical block 90
sr 1:0:0:0: [sr0] unaligned transfer
Buffer I/O error on device sr0, logical block 91
sr 1:0:0:0: [sr0] unaligned transfer
Buffer I/O error on device sr0, logical block 92
sr 1:0:0:0: [sr0] unaligned transfer
Buffer I/O error on device sr0, logical block 93
sr 1:0:0:0: [sr0] unaligned transfer
Buffer I/O error on device sr0, logical block 94
sr 1:0:0:0: [sr0] unaligned transfer
Buffer I/O error on device sr0, logical block 95
sr 1:0:0:0: [sr0] unaligned transfer
Buffer I/O error on device sr0, logical block 96
sr 1:0:0:0: [sr0] unaligned transfer
Buffer I/O error on device sr0, logical block 97
sr 1:0:0:0: [sr0] unaligned transfer

I can however mount it by hand.

Version-Release number of selected component (if applicable):
2.6.25.3-18.fc9.i686

How reproducible:
Always reproducible.  

Steps to Reproduce:
1. Insert CDROM

  
Actual results:
Nothing happens

Expected results:
I expect the cdrom to be automounted or at least detected by Dolphin and/or
Nautilus.

Additional info:
Sorry if this isn't a kernel bug ... just not really sure where to put this.
Comment 1 Dave Jones 2008-05-18 19:35:28 EDT
This sounds like a bad disc. Or does it do it with every CD you try ?
Comment 2 chris desjardins 2008-05-18 19:50:53 EDT
Thanks for the quick reply.  It happens like this on every CD.  Also the only way
I can eject the cdrom is with eject /dev/sr0 as root.  I've never had issues with
my cdrom before or CDs.  
Comment 3 chris desjardins 2008-05-18 19:54:27 EDT
Hang on .. no sooner do I say that then I try another disc and this time it
automounts.  Not sure what to say or think.  
Comment 4 chris desjardins 2008-05-18 20:23:08 EDT
This is happening on other cds as well.  So this is a real bug. 
Comment 5 Chuck Ebbert 2008-05-19 02:49:25 EDT
That whole area of scsi processing was restructured by:

commit 30b0c37b27485a9cb897bfe3824f6f517b8c80d6
[SCSI] implement scsi_data_buffer
Comment 6 Robert Story 2009-06-03 20:22:26 EDT
I'm getting this with 2.6.27.21-170.2.56.fc10.i686.PAE...

I tried 3 dvds (2 movies, and one data cd burned on this machine when it was running F8), and I get:

Jun  3 20:16:01 g2 kernel: sr 4:0:0:0: [sr0] unaligned transfer
Jun  3 20:16:01 g2 kernel: __ratelimit: 30 callbacks suppressed
Jun  3 20:16:01 g2 kernel: Buffer I/O error on device sr0, logical block 32
Jun  3 20:16:01 g2 kernel: Buffer I/O error on device sr0, logical block 33
Jun  3 20:16:01 g2 kernel: Buffer I/O error on device sr0, logical block 34
Jun  3 20:16:01 g2 kernel: Buffer I/O error on device sr0, logical block 35
Jun  3 20:16:01 g2 kernel: Buffer I/O error on device sr0, logical block 36
Jun  3 20:16:01 g2 kernel: Buffer I/O error on device sr0, logical block 37
Jun  3 20:16:01 g2 kernel: Buffer I/O error on device sr0, logical block 38
Jun  3 20:16:01 g2 kernel: Buffer I/O error on device sr0, logical block 39
Jun  3 20:16:01 g2 kernel: Buffer I/O error on device sr0, logical block 40
Jun  3 20:16:01 g2 kernel: Buffer I/O error on device sr0, logical block 41
Jun  3 20:16:01 g2 kernel: sr 4:0:0:0: [sr0] unaligned transfer
Jun  3 20:16:01 g2 kernel: sr 4:0:0:0: [sr0] unaligned transfer

All 3 dvd's mount/play on my MacBook (OS X).


Then I tried an store-bought audio CD, and got the above plus:

Jun  3 20:18:46 g2 kernel: sr 4:0:0:0: [sr0] unaligned transfer
Jun  3 20:18:51 g2 kernel: ata5.00: exception Emask 0x0 SAct 0x0 SErr 0x0 action 0x6 frozen
Jun  3 20:18:51 g2 kernel: ata5.00: cmd a0/00:00:00:00:00/00:00:00:00:00/a0 tag 0
Jun  3 20:18:51 g2 kernel:         cdb be 04 00 00 29 84 00 00  01 78 00 00 00 00 00 00
Jun  3 20:18:51 g2 kernel:         res 58/00:02:00:30:09/00:00:00:00:00/a0 Emask 0x2 (HSM violation)
Jun  3 20:18:51 g2 kernel: ata5.00: status: { DRDY DRQ }
Jun  3 20:18:51 g2 kernel: ata5: soft resetting link
Jun  3 20:18:51 g2 kernel: ata5.00: configured for UDMA/33
Jun  3 20:18:51 g2 kernel: ata5: EH complete
Jun  3 20:18:51 g2 kernel: ata5.00: exception Emask 0x0 SAct 0x0 SErr 0x0 action 0x6 frozen
Jun  3 20:18:51 g2 kernel: ata5.00: cmd a0/00:00:00:00:00/00:00:00:00:00/a0 tag 0
Jun  3 20:18:51 g2 kernel:         cdb be 04 00 00 72 13 00 00  01 78 00 00 00 00 00 00
Jun  3 20:18:51 g2 kernel:         res 58/00:02:00:30:09/00:00:00:00:00/a0 Emask 0x2 (HSM violation)
Jun  3 20:18:51 g2 kernel: ata5.00: status: { DRDY DRQ }
Jun  3 20:18:51 g2 kernel: ata5: soft resetting link
Jun  3 20:18:51 g2 kernel: ata5.00: configured for UDMA/33
Comment 7 Robert Story 2009-06-03 20:50:40 EDT
argghh... so as I was shutting down applications to log out and reboot to test this after a reboot, i noticed that my F10 VirtualBox VM had thrown up an error about not being able to read /dev/sr0. So I shut-down the VM, and retried one of the movies. Mounted just fine. Sorry for the noise...
Comment 8 Bug Zapper 2009-06-09 20:59:06 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Bug Zapper 2009-07-14 11:47:10 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.